# MessagePhase | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class MessagePhase

#### Hierarchy (View Summary)

- Phase
  - MessagePhase
    - TestMessagePhase

- Defined in src/phases/message-phase.ts:4

##### Index

### Constructors

constructor

### Methods

end
start

## Constructors

### constructor

- new MessagePhase(
  text: string,
  callbackDelay?: null | number,
  prompt?: null | boolean,
  promptDelay?: null | number,
  speaker?: string,
  ): MessagePhase

  #### Parameters

  - text: string
  - `Optional` callbackDelay: null | number
  - `Optional` prompt: null | boolean
  - `Optional` promptDelay: null | number
  - `Optional` speaker: string

  #### Returns MessagePhase

  Overrides Phase.constructor

  - Defined in src/phases/message-phase.ts:11

## Methods

### end

- end(): void

  #### Returns void

  Inherited from Phase.end

  - Defined in src/phase.ts:6

### start

- start(): void

  #### Returns void

  Overrides Phase.start

  - Defined in src/phases/message-phase.ts:27